org.jboss.resteasy.plugins.delegates

## Class EntityTagDelegate

- java.lang.Object
- - org.jboss.resteasy.plugins.delegates.EntityTagDelegate

- All Implemented Interfaces:
    RuntimeDelegate.HeaderDelegate<EntityTag>

      public class EntityTagDelegate
      extends Object
      implements RuntimeDelegate.HeaderDelegate<EntityTag>

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityTagDelegate()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EntityTag` | `fromString(String value)` Parse the supplied value and create an instance of `T`.
    `String` | `toString(EntityTag value)` Convert the supplied value to a String.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityTagDelegate

          public EntityTagDelegate()

  - ### Method Detail

    - #### fromString

          public EntityTag fromString(String value)
                               throws IllegalArgumentException

      Description copied from interface: `RuntimeDelegate.HeaderDelegate`
      Parse the supplied value and create an instance of `T`.
      Specified by:
        `fromString` in interface `RuntimeDelegate.HeaderDelegate<EntityTag>`
      Parameters:
        `value` - the string value.
      Returns:
        the newly created instance of `T`.
      Throws:
        `IllegalArgumentException` - if the supplied string cannot be parsed or is `null`.

    - #### toString

          public String toString(EntityTag value)

      Description copied from interface: `RuntimeDelegate.HeaderDelegate`
      Convert the supplied value to a String.
      Specified by:
        `toString` in interface `RuntimeDelegate.HeaderDelegate<EntityTag>`
      Parameters:
        `value` - the value of type `T`.
      Returns:
        a String representation of the value.

Copyright © 2014. All Rights Reserved.